using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace SimulazioneVerificaFile
{
    class ListaAlunni
    {
        protected List<Alunno> tuttiGliAlunni;
        public ListaAlunni()
        {
            tuttiGliAlunni = new List<Alunno>();
        }
   
 
        public void AggiungiAlunno(string a)
        {
            try
            {
                tuttiGliAlunni.Add(new Alunno(a));
            }
            catch (Exception)
            {
                throw;
            }
        }
        public void AggiungiAlunno(string annoCorso, string sezione, string indirizzo, string matricola,string nome, string cognome,  string dataNascita, string luogoNascita)
        {
            try
            {
                tuttiGliAlunni.Add(new Alunno(annoCorso,sezione,indirizzo,matricola,nome,cognome,dataNascita,luogoNascita));
            }
            catch (Exception)
            {
                throw;
            }
        }
        public bool CancellaAlunno(string matricola)
        {
            return tuttiGliAlunni.Remove(tuttiGliAlunni.Find(x=>x.Matricola.Equals(matricola)));
        }
        public string Info()
        {
            string st = string.Empty;
            tuttiGliAlunni.ForEach(x => st += x.Info());
            return st;

        }
        public override string ToString()
        {
            string st = string.Empty;
            tuttiGliAlunni.ForEach(x => st += x.ToString()+"\n");
            return st;
        }



    }
}
